VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Validator::ModuleTestConfig Struct Reference

`#include <validator.h>`

## Public Member Functions
| ModuleTestConfig (bool useGlobalInstance, bool useExtensiveTests, std::string &customTestComponentPath, std::string &testSuiteName, VST3::Optional< VST3::UID > &&testProcessor)

## Public Attributes
bool | useGlobalInstance {true}
bool | useExtensiveTests {false}
std::string | customTestComponentPath
std::string | testSuiteName
VST3::Optional< VST3::UID > | testProcessor

## Constructor & Destructor Documentation

ModuleTestConfig | ( | bool | useGlobalInstance,
|  | bool | useExtensiveTests,
|  | std::string & | customTestComponentPath,
|  | std::string & | testSuiteName,
|  | VST3::Optional< VST3::UID > && | testProcessor
| ) |  |
| inline

## Member Data Documentation

bool useGlobalInstance {true}

bool useExtensiveTests {false}

std::string customTestComponentPath

std::string testSuiteName

VST3::Optional<VST3::UID> testProcessor

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.